aboutsummaryrefslogtreecommitdiff
path: root/suspend
diff options
context:
space:
mode:
authorSanjay Singh Rawat <sanjay.rawat@linaro.org>2014-03-19 10:57:14 +0530
committerSanjay Singh Rawat <sanjay.rawat@linaro.org>2014-03-19 11:09:44 +0530
commitc28d5929af6ff1396a94ef0a523c4c0b686d6a97 (patch)
tree4749e72635b07df4ffb1686b9fa1ca4f9580ff08 /suspend
parent1c06bbac7df6d67d9c757d273d39c97a84374b8c (diff)
downloadpm-qa-c28d5929af6ff1396a94ef0a523c4c0b686d6a97.tar.gz
suspend: add suspend sanity test
check for suspend support in the system Signed-off-by: Sanjay Singh Rawat <sanjay.rawat@linaro.org>
Diffstat (limited to 'suspend')
-rwxr-xr-xsuspend/suspend_sanity.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/suspend/suspend_sanity.sh b/suspend/suspend_sanity.sh
new file mode 100755
index 0000000..0f2b5d5
--- /dev/null
+++ b/suspend/suspend_sanity.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2014, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Sanjay Singh Rawat <sanjay.rawat@linaro.org>
+# - initial API and implementation
+#
+
+source ../include/functions.sh
+
+is_root
+if [ $? -ne 0 ]; then
+ log_skip "user is not root"
+ exit 0
+fi
+
+check_suspend() {
+ cat /sys/power/suspend | grep 'mem\|standby\|disk'
+ if [ $? -ne 0 ]; then
+ echo "suspend is not supported. Skipping all suspend tests"
+ return 0
+ fi
+ return 1
+}
+
+check_suspend